(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     23314,        574]
NotebookOptionsPosition[     20080,        515]
NotebookOutlinePosition[     20423,        530]
CellTagsIndexPosition[     20380,        527]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Copyright", " ", "2019", " ", "Daniel", " ", "Strano"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.773952205898514*^9, 3.773952224143936*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"ff9739e8-227a-4f47-96c3-deded44275e1"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "This", " ", "is", " ", "a", " ", "modification", " ", "to", " ", 
    "Rindler", " ", "metric", " ", "with", " ", "gravity", " ", "waves"}], 
   ",", " ", 
   RowBox[{"based", " ", "on", " ", "Strano", " ", "2017", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"http", ":"}], "//", 
      RowBox[{"ultraphrenia", ".", "com"}]}], ")"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.773952227717552*^9, 3.773952278776993*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"6cbe22a6-982a-4133-9d56-c44bc8d2f1bc"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Start", " ", "with", " ", "Rindler", " ", "coordinates"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.7739522869491816`*^9, 3.773952300360632*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"57b08c44-3b26-45b4-8dae-4908853e8812"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "x", ",", "y", ",", "z"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9, {
   3.773831989099896*^9, 3.7738319947478237`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"ef98550a-74e6-4567-956f-0e7ef7d4de12"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "x", ",", "y", ",", "z"}], "}"}]], "Output",
 CellChangeTimes->{3.7067968201318874`*^9, 3.749005431415663*^9, 
  3.7739498380800147`*^9, 3.7739520262047787`*^9, 3.773952600693355*^9, 
  3.773954013376772*^9, 3.7739541118909636`*^9, 3.7739557905128627`*^9, 
  3.773997664122139*^9, 3.7740321419410353`*^9, 3.774032230654165*^9, 
  3.7740323382974777`*^9, 3.774079653198592*^9, 3.774732584708149*^9, 
  3.7845411705738935`*^9, 3.784541202791086*^9, 3.784575448193488*^9, 
  3.78457596203555*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"223cf568-638f-4f78-8ccd-7690cec8a61a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Define", " ", "advanced", " ", "\"\<x\>\"", " ", "and", " ", "retarded", 
    " ", "\"\<t\>\"", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "following", " ", "null", " ", "geodesics", " ", "parallel", " ", "to", 
    " ", "the", " ", "direction", " ", "of", " ", "proper", " ", 
    RowBox[{"accleration", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7739523035561028`*^9, 3.77395236314635*^9}, 
   3.7739526709151707`*^9},
 CellLabel->"In[5]:=",ExpressionUUID->"471d5388-c66c-4fce-ac18-aea56be1f777"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tret", "\[Equal]", 
  RowBox[{"t", "+", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"alpha", "[", "t", "]"}]}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{"x", "+", "x0"}], "]"}]}], "+", "t0"}]}]], "Input",
 CellChangeTimes->{{3.7739494367330666`*^9, 3.77394950936654*^9}, {
  3.784492663002899*^9, 3.784492663360944*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"cfc85bba-7e00-4ece-90d3-7f24f6da17da"],

Cell[BoxData[
 RowBox[{"tret", "\[Equal]", 
  RowBox[{"t", "+", "t0", "+", 
   FractionBox[
    RowBox[{"Log", "[", 
     RowBox[{"x", "+", "x0"}], "]"}], 
    RowBox[{"alpha", "[", "t", "]"}]]}]}]], "Output",
 CellChangeTimes->{3.773949838141808*^9, 3.773952026355378*^9, 
  3.773952600817024*^9, 3.7739540133986807`*^9, 3.773954112012682*^9, 
  3.7739557906816907`*^9, 3.773997664324876*^9, 3.774032142091633*^9, 
  3.774032230800808*^9, 3.7740323384470415`*^9, 3.774079653387291*^9, 
  3.774732584841835*^9, 3.784541170681572*^9, 3.784541203180046*^9, 
  3.784575448470717*^9, 3.7845759621302924`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"63d9352c-676a-4242-bcbd-64195b76298b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xadv", "\[Equal]", 
  RowBox[{"x", "-", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"alpha", "[", "t", "]"}], "*", 
     RowBox[{"(", 
      RowBox[{"t", "+", "t0"}], ")"}]}], "]"}], "+", "x0"}]}]], "Input",
 CellChangeTimes->{{3.773949518971289*^9, 3.7739495519632845`*^9}, {
  3.784492666030985*^9, 3.7844926663720675`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"29dcd00d-d528-4d0a-8854-14acc5b2c8b7"],

Cell[BoxData[
 RowBox[{"xadv", "\[Equal]", 
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"t", "+", "t0"}], ")"}], " ", 
      RowBox[{"alpha", "[", "t", "]"}]}]]}], "+", "x", "+", 
   "x0"}]}]], "Output",
 CellChangeTimes->{3.7739498381607575`*^9, 3.7739520263862934`*^9, 
  3.7739526008359737`*^9, 3.7739540134126434`*^9, 3.773954112034624*^9, 
  3.773955790706625*^9, 3.773997664348461*^9, 3.7740321421055956`*^9, 
  3.7740322308147354`*^9, 3.7740323384620275`*^9, 3.77407965340279*^9, 
  3.7747325848677235`*^9, 3.784541170765348*^9, 3.7845412031980314`*^9, 
  3.784575448556487*^9, 3.7845759622170663`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"67397c89-92d2-4773-af13-35c5f9679905"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Analagous", " ", "to", " ", "Strano", " ", "2017"}], ",", " ", 
    RowBox[{
    "we", " ", "start", " ", "by", " ", "writing", " ", "the", " ", "metric", 
     " ", "in", " ", "a", " ", "mixture", " ", "of", " ", "the", " ", "old", 
     " ", "and", " ", "new", " ", 
     RowBox[{"coordinates", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Note", " ", "the", " ", "wave", " ", 
     RowBox[{"term", ".", " ", "It"}], " ", "can", " ", "thought", " ", "of", 
     " ", "as", " ", "gravity", " ", "waves", " ", "emitted", " ", "from", 
     " ", "the", " ", "Rindler", " ", "horizon"}], ",", " ", 
    RowBox[{"evaporating", " ", "it"}], ",", " ", 
    RowBox[{
     RowBox[{
     "as", " ", "per", " ", "the", " ", "modification", " ", "to", " ", 
      "Schwarzschild", " ", "and", " ", "Reissner"}], "-", 
     RowBox[{"Nordstrom", " ", "of", " ", "Strano", " ", "2017."}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "dependence", " ", "of", " ", "\"\<alpha\>\"", " ", "upon", 
      " ", "\"\<t\>\"", " ", "is", " ", "arbitrary", " ", "and", " ", "free", 
      " ", "to", " ", "be", " ", 
      RowBox[{"varied", ".", " ", "So"}], " ", "long", " ", "as", " ", 
      "alpha", " ", "can", " ", "be", " ", "arbitrarily", " ", 
      "parameterized", " ", "on", " ", "a", " ", "time"}], "-", 
     RowBox[{"like", " ", "coordinate"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "we", " ", "are", " ", "free", " ", "to", " ", "choose", " ", "any", " ",
       "time"}], "-", 
     RowBox[{
     "like", " ", "parameter", " ", "that", " ", "is", " ", "most", " ", 
      "convenient"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ex", ".", " ", "leads"}], " ", "to", " ", "an", " ", 
        "obvious", " ", "family", " ", "of", " ", "solutions"}], ")"}], ".", 
      " ", "alpha"}], " ", "parameterized", " ", "upon", " ", "the", " ", 
     "Rindler", " ", "t", " ", "coordinate", " ", "implies", " ", "that", " ",
      "a", " ", "local", " ", "change", " ", "in", " ", "acceleration", " ", 
     "for", " ", "the", " ", "observer", " ", "gives", " ", "an", " ", 
     "immediate", " ", "apparent", " ", "\"\<reaction\>\"", " ", "in", " ", 
     "the", " ", "metric", " ", "globally"}], ",", " ", 
    RowBox[{
    "but", " ", "the", " ", "\"\<instantaneous change\>\"", " ", "is", " ", 
     "fictitious"}], ",", " ", 
    RowBox[{
     RowBox[{
     "an", " ", "apparency", " ", "being", " ", "the", " ", "product", " ", 
      "of", " ", "changing", " ", "first"}], "-", 
     RowBox[{"person", " ", "accelerated", " ", 
      RowBox[{"frames", "."}]}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.773952367257326*^9, 3.7739524296949816`*^9}, {
   3.7739527016711645`*^9, 3.773952756627393*^9}, {3.784574872264374*^9, 
   3.784574992150363*^9}, {3.784575086149193*^9, 3.7845751143424764`*^9}, {
   3.784575145946014*^9, 3.78457526864534*^9}, {3.784575327954787*^9, 
   3.784575336906869*^9}, 3.7845753876791954`*^9, {3.784575611347803*^9, 
   3.7845758413715086`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"225c056e-b78f-4726-9f46-3ff9c53f5062"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"alpha", "[", "t", "]"}], "-", 
           RowBox[{"Integrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "*", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", "*", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"k", ",", "0", ",", 
               RowBox[{
                RowBox[{"1", "/", "4"}], "*", 
                RowBox[{"alpha", "[", "t", "]"}]}]}], "}"}]}], "]"}]}], 
          ")"}]}], ")"}], "^", "2"}]}], ",", "1", ",", "1", ",", "1"}], "}"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.7739496172233505`*^9, 3.773949632703054*^9}, {
  3.773949678416448*^9, 3.773949816724766*^9}, {3.7739519237711506`*^9, 
  3.773951941645559*^9}, {3.7739540753112164`*^9, 3.773954077098794*^9}, {
  3.7739557424872503`*^9, 3.773955746944169*^9}, {3.7740321828477106`*^9, 
  3.774032202417339*^9}, {3.774032287084308*^9, 3.7740323034884605`*^9}, {
  3.774079465857892*^9, 3.7740794687654486`*^9}, {3.774732552453617*^9, 
  3.7747325536593924`*^9}, {3.7844926725086718`*^9, 3.784492681471716*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"e8d49986-03cb-4035-a52f-bcf3357ec710"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["x", "2"]}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"alpha", "[", "t", "]"}], "-", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", 
           FractionBox[
            RowBox[{"alpha", "[", "t", "]"}], "4"]], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}]}], ")"}], "2"]}], ",", "0", 
     ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.773949838185937*^9, 3.7739520264062395`*^9, 
  3.7739526008708806`*^9, 3.773954013436579*^9, 3.7739541120645432`*^9, 
  3.773955790742529*^9, 3.7739976643872695`*^9, 3.7740321421345186`*^9, 
  3.774032230837711*^9, 3.7740323386854362`*^9, 3.7740796535242987`*^9, 
  3.774732585154002*^9, 3.7845411708980284`*^9, 3.784541203582004*^9, 
  3.7845754489744043`*^9, 3.7845759624504395`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"cc17fc5e-d9c3-42ad-b8cc-6aaf9fe88ee7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input",
 CellLabel->"In[10]:=",ExpressionUUID->"af88d9ca-fe84-4380-b3a1-60ceaf3141f1"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.7739498590807257`*^9, 3.773952026422197*^9, 
  3.7739526008908267`*^9, 3.773954013449546*^9, 3.7739541120824957`*^9, 
  3.773955790762477*^9, 3.7739976644037933`*^9, 3.7740321421465206`*^9, 
  3.7740322308486447`*^9, 3.7740323386983705`*^9, 3.77407965353662*^9, 
  3.7747325851699157`*^9, 3.7845411709808035`*^9, 3.784541203680713*^9, 
  3.7845412347417*^9, 3.7845754490671225`*^9, 3.7845759625332203`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"86f4d40a-082a-4987-899d-e05a9f5af461"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"SEGMENT", ":", " ", 
    RowBox[{"Run", " ", 
     RowBox[{"diffgeo", ".", "m"}]}]}], ",", " ", 
   RowBox[{"by", " ", "Matthew", " ", "Headrick"}], ",", " ", 
   RowBox[{"at", " ", "this", " ", 
    RowBox[{"point", ".", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"http", ":"}], "//", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"people", ".", "brandeis", ".", "edu"}], "/", 
          RowBox[{"~", "headrick"}]}], "/", "Mathematica"}], "/"}]}], 
      ")"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7739526089652724`*^9, 3.7739526417064066`*^9}, {
  3.7739527639941797`*^9, 3.7739527769201097`*^9}},
 CellLabel->
  "In[196]:=",ExpressionUUID->"a3e7db14-5095-431a-ae7e-ab8b78f80517"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Make", " ", "sure", " ", "that", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "for", " ", "the", " ", "Einstein"}], "-", 
   RowBox[{"Hilbert", " ", "action", " ", "are", " ", 
    RowBox[{"satisified", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.773952433674082*^9, 3.7739524607142053`*^9}},
 CellLabel->
  "In[197]:=",ExpressionUUID->"7c068992-c43b-4c5b-8951-3f2ed73f7f57"],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"t", ",", " ", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellLabel->
  "In[194]:=",ExpressionUUID->"fef07f8c-41d6-41d8-aba5-cd610dc11d6f"],

Cell[CellGroupData[{

Cell[BoxData["extrinsic"], "Input",
 CellChangeTimes->{{3.7739503594645185`*^9, 3.773950361781502*^9}},
 CellLabel->
  "In[195]:=",ExpressionUUID->"056ebcc4-1662-4f74-8bb5-ef9974dcc65d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7739503640261946`*^9, 3.773952050357256*^9, 3.7739526544558554`*^9, {
   3.773954036285233*^9, 3.7739540428409443`*^9}, 3.773954126183415*^9, 
   3.773955811123296*^9, 3.7739976938343797`*^9, 3.7740321636890345`*^9, {
   3.7740322753038063`*^9, 3.774032281197048*^9}, 3.774032360744481*^9, 
   3.7740796810509815`*^9, 3.7747326347535305`*^9, {3.7845412268547773`*^9, 
   3.784541235703131*^9}, 3.7845759824868593`*^9},
 CellLabel->
  "Out[195]=",ExpressionUUID->"1ff34c52-08ee-4b48-9b80-398fae21c0cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.77395037346944*^9, 3.773950374466876*^9}},
 CellLabel->
  "In[196]:=",ExpressionUUID->"b2719387-45d7-4aa0-af14-f4bbcc59da17"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7739503769811563`*^9, 3.773952050377206*^9, 3.773952654483777*^9, {
   3.773954036323163*^9, 3.7739540428600044`*^9}, 3.7739541262043715`*^9, 
   3.7739558111442394`*^9, 3.7739976938823967`*^9, 3.774032163711835*^9, {
   3.7740322753466873`*^9, 3.774032281215996*^9}, 3.7740323607593937`*^9, 
   3.7740796810889473`*^9, 3.774732634779462*^9, {3.7845412269585004`*^9, 
   3.784541235767988*^9}, 3.7845759825626802`*^9},
 CellLabel->
  "Out[196]=",ExpressionUUID->"4b8fcc48-00df-4074-967d-0e6f83ac4ac8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"They", " ", 
    RowBox[{"are", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Is", " ", "this", " ", "a", " ", "functional", " ", "minimization", " ", 
     "of", " ", "the", " ", "Einstein"}], "-", 
    RowBox[{"Hilbert", " ", 
     RowBox[{"action", "?"}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.773952470604374*^9, 3.773952494085179*^9}, 
   3.7739526894311585`*^9},
 CellLabel->
  "In[197]:=",ExpressionUUID->"317818ae-28ba-466a-abb1-c61c6cc3831d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", 
   RowBox[{"(", 
    RowBox[{"16", "*", "Pi"}], ")"}]}], "*", "RicciScalar", "*", 
  "rg"}]], "Input",
 CellChangeTimes->{{3.7739521695071063`*^9, 3.77395218536311*^9}},
 CellLabel->
  "In[198]:=",ExpressionUUID->"8f226319-b4b8-47a2-a556-a40d0af647f4"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.773952190214262*^9, 3.7739526545655985`*^9, {3.773954036399971*^9, 
   3.773954042893806*^9}, 3.7739541262881365`*^9, 3.773955811230328*^9, 
   3.773997694023245*^9, 3.7740321638005996`*^9, {3.7740322754445515`*^9, 
   3.7740322812509027`*^9}, 3.7740323662587233`*^9, 3.7740796867531824`*^9, 
   3.7747326434822187`*^9, {3.7845412341652403`*^9, 3.784541235882682*^9}, 
   3.7845759899648757`*^9},
 CellLabel->
  "Out[198]=",ExpressionUUID->"5dd9898a-d41a-4706-97e5-425c59196c98"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Satisfying", " ", "the", " ", "boundary", " ", "constraints", " ", "and", 
    " ", "extremizing", " ", "the", " ", "action", " ", "are", " ", 
    "necessary", " ", "and", " ", "sufficient", " ", "conditions", " ", "to", 
    " ", "solve", " ", "the", " ", "Einstein", " ", "field", " ", 
    RowBox[{"equations", ".", " ", "Hence"}]}], ",", " ", 
   RowBox[{
   "the", " ", "Einstein", " ", "tensor", " ", "satisfies", " ", "the", " ", 
    "field", " ", "equations"}], ",", " ", 
   RowBox[{"as", " ", 
    RowBox[{"vacuum", ":"}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.7845758595728664`*^9, 3.7845759244026346`*^9}, {
  3.784576015532555*^9, 
  3.784576031753134*^9}},ExpressionUUID->"46d4b09b-c535-4c68-bd5b-\
dee6926e5f40"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Einstein", "\[Equal]", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7845759290072856`*^9, 3.7845759326067066`*^9}, {
  3.784575998919994*^9, 3.784575999109436*^9}},
 CellLabel->
  "In[202]:=",ExpressionUUID->"760254bf-a57b-4ec1-89df-01c8e9e42703"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.7845759900825877`*^9, 3.784576002417596*^9}},
 CellLabel->
  "Out[202]=",ExpressionUUID->"14a8f956-ed1c-4d6e-9b3e-053b848717c4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Thank", " ", "you", " ", "for", " ", "your", " ", "time", " ", "and", " ", 
   RowBox[{"consideration", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.773952501373289*^9, 3.7739525117810535`*^9}},
 CellLabel->
  "In[201]:=",ExpressionUUID->"c07a622e-67fc-4bce-b31c-ad26c39e983f"]
},
WindowSize->{1270, 997},
WindowMargins->{{Automatic, 306}, {Automatic, 3}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 272, 5, 28, "Input",ExpressionUUID->"ff9739e8-227a-4f47-96c3-deded44275e1"],
Cell[833, 27, 574, 13, 28, "Input",ExpressionUUID->"6cbe22a6-982a-4133-9d56-c44bc8d2f1bc"],
Cell[1410, 42, 276, 5, 28, "Input",ExpressionUUID->"57b08c44-3b26-45b4-8dae-4908853e8812"],
Cell[CellGroupData[{
Cell[1711, 51, 408, 7, 28, "Input",ExpressionUUID->"ef98550a-74e6-4567-956f-0e7ef7d4de12"],
Cell[2122, 60, 620, 10, 32, "Output",ExpressionUUID->"223cf568-638f-4f78-8ccd-7690cec8a61a"]
}, Open  ]],
Cell[2757, 73, 578, 12, 28, "Input",ExpressionUUID->"471d5388-c66c-4fce-ac18-aea56be1f777"],
Cell[CellGroupData[{
Cell[3360, 89, 430, 10, 28, "Input",ExpressionUUID->"cfc85bba-7e00-4ece-90d3-7f24f6da17da"],
Cell[3793, 101, 682, 13, 53, "Output",ExpressionUUID->"63d9352c-676a-4242-bcbd-64195b76298b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4512, 119, 435, 10, 28, "Input",ExpressionUUID->"29dcd00d-d528-4d0a-8854-14acc5b2c8b7"],
Cell[4950, 131, 759, 16, 34, "Output",ExpressionUUID->"67397c89-92d2-4773-af13-35c5f9679905"]
}, Open  ]],
Cell[5724, 150, 3310, 68, 162, "Input",ExpressionUUID->"225c056e-b78f-4726-9f46-3ff9c53f5062"],
Cell[CellGroupData[{
Cell[9059, 222, 1610, 37, 28, "Input",ExpressionUUID->"e8d49986-03cb-4035-a52f-bcf3357ec710"],
Cell[10672, 261, 1612, 40, 61, "Output",ExpressionUUID->"cc17fc5e-d9c3-42ad-b8cc-6aaf9fe88ee7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12321, 306, 155, 3, 28, "Input",ExpressionUUID->"af88d9ca-fe84-4380-b3a1-60ceaf3141f1"],
Cell[12479, 311, 552, 8, 32, "Output",ExpressionUUID->"86f4d40a-082a-4987-899d-e05a9f5af461"]
}, Open  ]],
Cell[13046, 322, 791, 21, 28, "Input",ExpressionUUID->"a3e7db14-5095-431a-ae7e-ab8b78f80517"],
Cell[13840, 345, 462, 10, 28, "Input",ExpressionUUID->"7c068992-c43b-4c5b-8951-3f2ed73f7f57"],
Cell[14305, 357, 195, 5, 28, "Input",ExpressionUUID->"fef07f8c-41d6-41d8-aba5-cd610dc11d6f"],
Cell[CellGroupData[{
Cell[14525, 366, 186, 3, 28, "Input",ExpressionUUID->"056ebcc4-1662-4f74-8bb5-ef9974dcc65d"],
Cell[14714, 371, 895, 19, 32, "Output",ExpressionUUID->"1ff34c52-08ee-4b48-9b80-398fae21c0cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15646, 395, 181, 3, 28, "Input",ExpressionUUID->"b2719387-45d7-4aa0-af14-f4bbcc59da17"],
Cell[15830, 400, 786, 17, 32, "Output",ExpressionUUID->"4b8fcc48-00df-4074-967d-0e6f83ac4ac8"]
}, Open  ]],
Cell[16631, 420, 600, 16, 67, "Input",ExpressionUUID->"317818ae-28ba-466a-abb1-c61c6cc3831d"],
Cell[CellGroupData[{
Cell[17256, 440, 297, 8, 28, "Input",ExpressionUUID->"8f226319-b4b8-47a2-a556-a40d0af647f4"],
Cell[17556, 450, 532, 9, 32, "Output",ExpressionUUID->"5dd9898a-d41a-4706-97e5-425c59196c98"]
}, Open  ]],
Cell[18103, 462, 797, 17, 67, "Input",ExpressionUUID->"46d4b09b-c535-4c68-bd5b-dee6926e5f40"],
Cell[CellGroupData[{
Cell[18925, 483, 616, 15, 28, "Input",ExpressionUUID->"760254bf-a57b-4ec1-89df-01c8e9e42703"],
Cell[19544, 500, 182, 3, 32, "Output",ExpressionUUID->"14a8f956-ed1c-4d6e-9b3e-053b848717c4"]
}, Open  ]],
Cell[19741, 506, 335, 7, 28, "Input",ExpressionUUID->"c07a622e-67fc-4bce-b31c-ad26c39e983f"]
}
]
*)

